#' Monthly data on the S&P 500 index
#'
#' Monthly closing prices of the S&P 500 index
#'
#' @name sp500m
#' @usage sp500m
#' @family data sets
#' @format An object of class \code{"zoo"} containing monthly closing prices of the S&P 500 index starting from January 1950
#' @source \url{https://finance.yahoo.com/}
"sp500m"

#' Daily data the S&P 500 index
#'
#' The daily closing prices of the S&P 500 index
#'
#' @name sp500d
#' @usage sp500d
#' @family data sets
#' @format An object of class \code{"zoo"} containing daily closing prices of the S&P 500 index starting from January 1950
#' @source \url{https://finance.yahoo.com/}
"sp500d"

#' Monthly data on the Dow Jones Industrial Average index
#'
#' The monthly closing prices of the DJIA index from January 1985
#'
#' @name djiam
#' @usage djiam
#' @family data sets
#' @format An object of class \code{"zoo"} containing the monthly closing prices of the DJIA index from January 1985
#' @source \url{https://finance.yahoo.com/}
"djiam"

#' Daily data the Dow Jones Industrial Average index
#'
#' The daily closing prices of the DJIA index from January 1985
#'
#' @name djiad
#' @usage djiad
#' @family data sets
#' @format An object of class \code{"zoo"} containing the daily closing prices of the DJIA index from January 1985
#' @source \url{https://finance.yahoo.com/}
"djiad"

